## python-x2go 0.1.1.3

=== debian/changelog ===
python-x2go (0.1.1.3-0ubuntu1) oneiric; urgency=low

  * New upstream release (0.1.1.3):
    - A lot of bugfixes and a few new feature, sees
      http://code.x2go.org/gitweb?p=python-x2go.git;a=shortlog for details

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 09 Jul 2011 22:46:31 +0200

python-x2go (0.1.0.0-0ubuntu2) oneiric; urgency=low

  * dh_python2 transition.
  * removed debian/pyversions no longer needed.
  * debian/control
    - increased min debhelper version to 7.0.50.
    - increased min python version to >= 2.6.6-3~.
    - removed B-D on python-support.
    - changed XS-P-V to X-P-V.
    - removed XB-P-V no longer needed.
  * debian/rules
    - switched to dh7 tiny rules.

 -- Charlie Smotherman <cjsmo@cableone.net>  Sat, 18 Jun 2011 21:55:47 -0500

python-x2go (0.1.0.0-0ubuntu1) oneiric; urgency=low

  * Initial upload (LP: #785981)
  * Packaging taken from x2go's git repository

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 20 May 2011 18:27:17 -0400

=== debian/watch ===
version=3

http://code.x2go.org/releases/source/python-x2go/python-x2go_(.*)\.tar\.gz

## python-x2go 0.6.1.4

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PythonX2Go.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PythonX2Go.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PythonX2Go"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PythonX2Go"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

## python-x2go 0.1.1.8

=== debian/changelog ===
python-x2go (0.1.1.8-0ubuntu1) precise; urgency=low

  * New upstream release.
    - For detailed summary please see:
      http://code.x2go.org/gitweb?p=python-x2go.git;a=shortlog

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 12 Dec 2011 14:48:01 +0530

=== debian/control ===
Source: python-x2go
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Build-Depends: 
 debhelper (>= 7.0.50),
 python (>= 2.6.6-3~),
 python-setuptools,
 python-epydoc,
 python-gevent,
 python-paramiko
Standards-Version: 3.9.2
Homepage: http://code.x2go.org/releases/source/python-x2go
Vcs-Git: git://code.x2go.org/python-x2go.git
Vcs-Browser: http://code.x2go.org/gitweb?p=python-x2go.git;a=summary
X-Python-Version: >= 2.6

Package: python-x2go
Architecture: all
Depends:
 ${python:Depends},
 ${misc:Depends},
 python-gevent (>= 0.13.0-0~0),
 python-paramiko,
 python-cups,
 nxproxy
Recommends:
 cups-bsd | lpr,
 pulseaudio
Description: Python module for X2go client support
 X2go is a server based computing environment with
    - session resuming
    - low bandwith support
    - LDAP support
    - client side mass storage mounting support
    - audio support
    - authentication by smartcard and USB stick
 .
 This Python module allows you to integrate X2go client 
 support into your Python applications by providing a 
 Python-based X2go client API.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file - for python-x2go
# Based on sample debian/rules file - for GNU Hello (1.3).
# Copyright 2010 by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

%:
	dh $@ --with python2

override_dh_auto_build:
	mkdir -p .epydoc/html
	mkdir -p .epydoc/pdf
	mkdir -p .epydoc/pdf.tmp
	rm -Rf .epydoc/html/*
	epydoc --debug -n "Python X2go" -u http://www.x2go.org -v --html --no-private -o .epydoc/html x2go/

override_dh_auto_clean:
	rm -Rfv debian/*.log debian/python-x2go debian/python-x2go.*.debhelper debian/python-x2go.substvars
	rm -Rfv debian/tmp debian/patches build x2go.egg-info
	rm -Rfv .epydoc

## python-x2go 0.2.0.6

=== debian/changelog ===
python-x2go (0.2.0.6-1) unstable; urgency=low

  * Initial package build (closes: #655608).
  * debian/copyright:
    + Contains full text of AGPL-3+ license as requested by FTP masters.
    + Refer to copyright-format 1.0 in file header.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 02 Jul 2012 21:24:39 +0200

=== debian/control ===
Source: python-x2go
Section: python
Priority: optional
Maintainer: X2Go Packaging Team <pkg-x2go-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Build-Depends: 
 debhelper (>= 7.0.50~),
 python (>= 2.6.6-3~),
 python-setuptools,
 python-epydoc,
 python-gevent,
 python-paramiko,
 python-xlib,
 locales
Standards-Version: 3.9.3
Homepage: http://wiki.x2go.org
Vcs-Git: git://git.debian.org/collab-maint/x2go/python-x2go.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/x2go/python-x2go.git;a=summary
X-Python-Version: >= 2.6

Package: python-x2go
Architecture: all
Depends: 
 ${python:Depends},
 ${misc:Depends},
 python-gevent (>= 0.13.6),
 python-paramiko,
 python-cups,
 python-xlib,
 nxproxy
Recommends:
 cups-bsd | lpr,
 pulseaudio
Description: Python module providing X2Go client API
 X2Go is a server based computing environment with
    - session resuming
    - low bandwith support
    - LDAP support
    - client side mass storage mounting support
    - audio support
    - authentication by smartcard and USB stick
 .
 This Python module allows you to integrate X2Go client 
 support into your Python applications by providing a 
 Python-based X2Go client API.

Package: python-x2go-doc
Architecture: all
Section: doc
Depends: 
 ${misc:Depends},
Description: Python module providing X2Go client API (documentation)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwith support
    - LDAP support
    - client side mass storage mounting support
    - audio support
    - authentication by smartcard and USB stick
 .
 This package contains the Python X2Go client API
 documentation generated with Epydoc.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file - for python-x2go
# Based on sample debian/rules file - for GNU Hello (1.3).
# Copyright 2010-2012 by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

%:
	dh ${@} --with python2

override_dh_auto_build:
	mkdir -p .epydoc/html
	rm -Rf .epydoc/html/*
	epydoc --debug -n "Python X2go" -u http://www.x2go.org -v --html --no-private -o .epydoc/html x2go/
	dh_auto_build

# tests from upstream are currently broken...
override_dh_auto_test:

override_dh_python2:
	rm debian/python-x2go/usr/lib/*/dist-packages/x2go/tests -Rfv
	dh_python2

override_dh_auto_clean:
	rm -Rfv build x2go.egg-info .epydoc test.pyc
	find x2go -name *.pyc -exec rm -fv "{}" \;
	dh_auto_clean

## python-x2go 0.2.1.0

=== debian/changelog ===
python-x2go (0.2.1.0-1) unstable; urgency=low

  * New upstream version.
  * /debian/control:
    + Allow package builds on systems without dh_python2.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 10 Dec 2012 22:38:00 +0100

python-x2go (0.2.0.9-1) unstable; urgency=low

  * New upstream version.
  * /debian/control:
    + Explicitly name client-side printing feature of X2Go.
    + Bump python build dependency to 2.6.6-14.
    + Be more accurate about dependency for python-gevent.
    + Fix typo (corrected: bandwidth) in long descriptions.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 20 Aug 2012 09:21:59 +0200

python-x2go (0.2.0.8-1) unstable; urgency=low

  * New upstream version.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 23 Jul 2012 21:26:10 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
 Build-Depends: 
  debhelper (>= 7.0.50~),
- python (>= 2.6.6-3~),
+ python (>= 2.6.6-14~),
  python-setuptools,
  python-epydoc,
  python-gevent,
@@ -21,10 +21,10 @@
 
 Package: python-x2go
 Architecture: all
-Depends: 
+Depends:
  ${python:Depends},
  ${misc:Depends},
- python-gevent (>= 0.13.6),
+ python-gevent (>= 0.13.6-1~),
  python-paramiko,
  python-cups,
  python-xlib,
@@ -35,9 +35,10 @@
 Description: Python module providing X2Go client API
  X2Go is a server based computing environment with
     - session resuming
-    - low bandwith support
+    - low bandwidth support
     - LDAP support
     - client side mass storage mounting support
+    - client side printing support
     - audio support
     - authentication by smartcard and USB stick
  .
@@ -53,9 +54,10 @@
 Description: Python module providing X2Go client API (documentation)
  X2Go is a server based computing environment with
     - session resuming
-    - low bandwith support
+    - low bandwidth support
     - LDAP support
     - client side mass storage mounting support
+    - client side printing support
     - audio support
     - authentication by smartcard and USB stick
  .

## python-x2go 0.4.0.5

=== debian/changelog ===
python-x2go (0.4.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 19 Jul 2013 14:24:11 +0200

python-x2go (0.4.0.3-1) unstable; urgency=low

  * New upstream release.
  * /debian/control:
    + Use my DD mail address in Uploaders.
    + Bump Standards: to 3.9.4. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 21 Apr 2013 23:35:58 +0200

python-x2go (0.4.0.2-1) unstable; urgency=low

  * New upstream version.
  * /debian/copyright:
    + Place packaging files under AGPL-3+ license, so that the packaging
      license is identical to the upstream license.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 03 Mar 2013 16:26:35 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: X2Go Packaging Team <pkg-x2go-devel@lists.alioth.debian.org>
 Uploaders:
- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
+ Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: 
  debhelper (>= 7.0.50~),
  python (>= 2.6.6-14~),
@@ -13,7 +13,7 @@
  python-paramiko,
  python-xlib,
  locales
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://wiki.x2go.org
 Vcs-Git: git://git.debian.org/collab-maint/x2go/python-x2go.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/x2go/python-x2go.git;a=summary

## python-x2go 0.4.0.8

=== debian/changelog ===
python-x2go (0.4.0.8-1) unstable; urgency=low

  * New upstream release.
  * /debian/control:
    + Use anonscm.debian.org in Vcs-Git: field.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 07 Aug 2013 14:15:09 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  locales
 Standards-Version: 3.9.4
 Homepage: http://wiki.x2go.org
-Vcs-Git: git://git.debian.org/collab-maint/x2go/python-x2go.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/x2go/python-x2go.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/x2go/python-x2go.git;a=summary
 X-Python-Version: >= 2.6
 
@@ -36,7 +36,7 @@
  X2Go is a server based computing environment with
     - session resuming
     - low bandwidth support
-    - LDAP support
+    - session brokerage support
     - client side mass storage mounting support
     - client side printing support
     - audio support
@@ -55,7 +55,7 @@
  X2Go is a server based computing environment with
     - session resuming
     - low bandwidth support
-    - LDAP support
+    - session brokerage support
     - client side mass storage mounting support
     - client side printing support
     - audio support

=== debian/watch ===
version=3
http://code.x2go.org/releases/source/python-x2go/python-x2go-(.+)\.tar\.gz

## python-x2go 0.4.0.9

=== debian/changelog ===
python-x2go (0.4.0.9-1) unstable; urgency=low

  * New upstream release.
  * Lintian issue(s) fixed:
    + python-x2go(-doc): data.tar.xz-member-without-dpkg-pre-depends.
  * debian/control:
    + Bump Standards: to 3.9.5. No changes needed.
  * debian/watch:
    + Add cryptographic signature verification for upstream tarball.
  * Update upstream changelog.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 06 Aug 2014 17:39:50 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python-paramiko,
  python-xlib,
  locales
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://wiki.x2go.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/x2go/python-x2go.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/x2go/python-x2go.git;a=summary
@@ -21,6 +21,8 @@
 
 Package: python-x2go
 Architecture: all
+Pre-Depends:
+ dpkg (>= 1.15.6~),
 Depends:
  ${python:Depends},
  ${misc:Depends},
@@ -49,6 +51,8 @@
 Package: python-x2go-doc
 Architecture: all
 Section: doc
+Pre-Depends:
+ dpkg (>= 1.15.6~),
 Depends: 
  ${misc:Depends},
 Description: Python module providing X2Go client API (documentation)

## python-x2go 0.5.0.1

=== debian/changelog ===
python-x2go (0.5.0.1-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_catch-connection-exception-during-session-startup.patch. Catch
      exceptions raised by connection failures during session
      startup/resumption.
    + Add 0002_fix-desktop-sharing.patch. Fix (cross-)user desktop sharing.
      (Closes: #770976).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 27 Nov 2014 12:18:47 +0100

python-x2go (0.5.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/upstream/changelog:
    + Stop manually shipping upstream ChangeLog files anymore. From now
      on provided in upstream tarball.
  * debian/control:
    + Bump Standards: to 3.9.6. No changes needed.
    + Drop Pre-D (all bin:pkg): dpkg (>= 1.15.6~).
    + Versioned D (python-x2go): python-paramiko (>= 1.15.1).
    + Add Ds (python-x2go): python-requests, python-simplejson (for X2Go
      Session Broker client code).
    + Add to R (python-x2go): sshfs (for Telekinesis, not yet in Debian).
    + Add to S (python-x2go): telekinesis-client, mteleplayer-clientside (not
      yet in Debian).
  * debian/copyright:
    + Update copyright years.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Oct 2014 01:11:36 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,17 @@
 #!/usr/bin/make -f
 # debian/rules file - for python-x2go
 # Based on sample debian/rules file - for GNU Hello (1.3).
-# Copyright 2010-2012 by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
+# Copyright 2010-2014 by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
+
+WITH_PYTHON2 = $(shell test -f /usr/bin/dh_python2 && echo "--with python2")
 
 %:
-	dh ${@} --with python2
+	dh ${@} ${WITH_PYTHON2}
 
 override_dh_auto_build:
 	mkdir -p .epydoc/html
 	rm -Rf .epydoc/html/*
-	epydoc --debug -n "Python X2go" -u http://www.x2go.org -v --html --no-private -o .epydoc/html x2go/
+	epydoc --debug -n "Python X2Go" -u http://www.x2go.org -v --html --no-private -o .epydoc/html x2go/
 	dh_auto_build
 
 # tests from upstream are currently broken...

## python-x2go 0.5.0.4

=== debian/changelog ===
python-x2go (0.5.0.4-1) unstable; urgency=medium

  * New upstream release.
    - Test if fusermount is executable when checking sshfs
      availability rather then testing fuse group membership.
      The fuse group does not exist anymore on Debian jessie
      (and beyond) systems. (Closes: #793927).
  * debian/patches:
    + Drop 0003_use-correct-loglevel-WARN.patch. Shipped in this
      upstream release.
  * debian/upstream/signing-key.asc:
    + Update signing-key.asc. Add the new X2Go release manager's pubkey.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 29 Jul 2015 01:16:54 +0200

python-x2go (0.5.0.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    + Add get-orig-source rule.
  * debian/patches:
    + Drop 0001_catch-connection-exception-during-session-startup.patch,
           0002_fix-desktop-sharing.patch,
           0004_fix-password-auth-if-keys-have-passphrase.patch.
      Included in this upstream release.
  * debian/copyright:
    + Update copyright years.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 16 Jun 2015 12:26:19 +0200

python-x2go (0.5.0.1-3) unstable; urgency=medium

  * debian/patches:
    + Add 0003_use-correct-loglevel-WARN.patch. Use the proper
      log.loglevel_WARN expression (instead of undefined
      log.loglevel_WARNING). Upstream patch needed
      rebasing and a modification to apply correctly. (Closes: #780128).
    + Update 0001_catch-connection-exception-during-session-startup.patch.
      Fix expression errors in two Python exceptions. (Closes: #780125).
    + Add 0005_fix-password-auth-if-keys-have-passphrase.patch. Fix password
      authentication in pyhoca-cli if people have default SSH keys locked with
      a passphrase. (Closes: #780127).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 09 Mar 2015 15:55:42 +0100

=== debian/control ===
--- 
+++ 
@@ -13,27 +13,30 @@
  python-paramiko,
  python-xlib,
  locales
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://wiki.x2go.org
-Vcs-Git: git://anonscm.debian.org/collab-maint/x2go/python-x2go.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/x2go/python-x2go.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/python-x2go.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-x2go.git;a=summary
 X-Python-Version: >= 2.6
 
 Package: python-x2go
 Architecture: all
-Pre-Depends:
- dpkg (>= 1.15.6~),
 Depends:
  ${python:Depends},
  ${misc:Depends},
- python-gevent (>= 0.13.6-1~),
- python-paramiko,
- python-cups,
+ python-gevent (>= 0.13.6),
+ python-paramiko (>= 1.15.1),
+ python-requests,
+ python-simplejson,
  python-xlib,
- nxproxy
+ nxproxy,
 Recommends:
  cups-bsd | lpr,
- pulseaudio
+ pulseaudio,
+ sshfs,
+Suggests:
+ telekinesis-client,
+ mteleplayer-clientside,
 Description: Python module providing X2Go client API
  X2Go is a server based computing environment with
     - session resuming
@@ -51,8 +54,6 @@
 Package: python-x2go-doc
 Architecture: all
 Section: doc
-Pre-Depends:
- dpkg (>= 1.15.6~),
 Depends: 
  ${misc:Depends},
 Description: Python module providing X2Go client API (documentation)

=== debian/rules ===
--- 
+++ 
@@ -25,3 +25,6 @@
 	rm -Rfv build x2go.egg-info .epydoc test.pyc
 	find x2go -name *.pyc -exec rm -fv "{}" \;
 	dh_auto_clean
+
+get-orig-source:
+	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://code.x2go.org/releases/source/python-x2go/python-x2go-(.+)\.tar\.gz

## python-x2go 0.5.0.6

=== debian/changelog ===
python-x2go (0.5.0.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_check-lock-state-before-releasing.patch. Included in this
      upstream release.
    + Cherry-pick some recent commits from upstream:
      0001_x2go-backends-control-plain.p-Fix-passphrase-unlocki.patch,
      0002_x2go-backends-control-plain.py-Handle-password-based.patch,
      0003_x2go-backends-profiles-httpbroker.py-Fix-broker-URL-.patch.
  * debian/control:
    + Bump Standards-Version: to 4.1.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 25 Sep 2017 14:41:35 +0200

python-x2go (0.5.0.4-3) unstable; urgency=medium

  * debian/control:
    + Add to B-D: dh-python.
  * debian/patches:
    + Add 0001_check-lock-state-before-releasing.patch. Required for flawless
      operation with gevent 1.1. (Closes: #862896).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 18 May 2017 13:10:48 +0200

python-x2go (0.5.0.4-2) unstable; urgency=medium

  * debian/control:
    + New maintenance umbrella: Debian Remote Maintainers team.
    + Bump Standards-Version: to 3.9.8. No changes needed.
    + Use secure URLs in Vcs-*: fields.
  * debian/{control,compat}:
    + Set DH compat level to 9.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 30 Nov 2016 12:58:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: python-x2go
 Section: python
 Priority: optional
-Maintainer: X2Go Packaging Team <pkg-x2go-devel@lists.alioth.debian.org>
+Maintainer: Debian Remote Maintainers <pkg-remote-team@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: 
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
+ dh-python,
  python (>= 2.6.6-14~),
  python-setuptools,
  python-epydoc,
@@ -13,10 +14,10 @@
  python-paramiko,
  python-xlib,
  locales
-Standards-Version: 3.9.6
+Standards-Version: 4.1.0
 Homepage: http://wiki.x2go.org
-Vcs-Git: git://anonscm.debian.org/collab-maint/python-x2go.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-x2go.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/pkg-remote/python-x2go.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-remote/python-x2go.git
 X-Python-Version: >= 2.6
 
 Package: python-x2go

## python-x2go 0.6.0.2

=== debian/changelog ===
python-x2go (0.6.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 01 Dec 2018 11:29:21 +0100

python-x2go (0.6.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    + Bring back lost get-orig-source target.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 19 Sep 2018 14:39:58 +0200

python-x2go (0.6.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop all patches. Shipped with this upstream release.
  * debian/control:
    + New team ML address: debian-remote@lists.debian.org.
    + Bump Standards-Version: to 4.2.1. No changes needed.
    + Update Vcs-* URLs. Packaging Git has been migrated to salsa.debian.org.
    + Use secure URL for Homepage: field.
    + Add D (python-x2go-doc): libjs-jquery, libjs-underscore.
  * debian/{control,rules,*.install}:
    + Convert to CDBS. Add Python3 build.
  * debian/python-x2go-doc.docs:
    + New in-source doc build folder. API documentation switch from Epydoc
      to Sphinx. (Closes: #881559).
  * debian/{control,compat}:
    + Switch to DH compat level version 10 (until CDBS supports version 11).
  * debian/copyright:
    + Use secure URLs in Format: and Source: fields.
    + Update copyright attributions.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/python-x2go-doc.links:
    + Replace bundled js libraries by symlinks to packaged equivalents.
  * debian/python-x2go-doc.lintian-overrides:
    + Remove file. Not needed anymore.
  * debian/watch:
    + Use secure URL to obtain upstream orig tarball.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 06 Sep 2018 23:10:08 +0200

=== debian/control ===
Source: python-x2go
Section: python
Priority: optional
Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
 cdbs,
 debhelper (>= 10),
 dh-python,
 python (>= 2.6.6-14~),
 python-setuptools,
 python-gevent,
 python-paramiko,
 python-xlib,
 python3,
 python3-setuptools,
 python3-gevent,
 python3-paramiko,
 python3-xlib,
 python3-sphinx,
 locales
Build-Conflicts:
 python-sphinx,
Standards-Version: 4.2.1
Homepage: https://wiki.x2go.org
Vcs-Git: https://salsa.debian.org/debian-remote-team/python-x2go.git
Vcs-Browser: https://salsa.debian.org/debian-remote-team/python-x2go

Package: python-x2go
Architecture: all
Depends:
 ${python:Depends},
 ${misc:Depends},
 python-gevent (>= 0.13.6),
 python-paramiko (>= 1.15.1),
 python-requests,
 python-simplejson,
 python-xlib,
 python-future,
 nxproxy | qvd-nxproxy,
Recommends:
 cups-bsd | lpr,
 pulseaudio,
 sshfs,
Suggests:
 telekinesis-client,
 mteleplayer-clientside,
Description: Python module providing X2Go client API (Python 2)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client side mass storage mounting support
    - client side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 This Python module allows you to integrate X2Go client
 support into your Python applications by providing a
 Python-based X2Go client API (for Python 2).

Package: python3-x2go
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-gevent (>= 0.13.6),
 python3-paramiko (>= 1.15.1),
 python3-requests,
 python3-simplejson,
 python3-xlib,
 python3-future,
 nxproxy | qvd-nxproxy,
Recommends:
 cups-bsd | lpr,
 pulseaudio,
 sshfs,
Suggests:
 telekinesis-client,
 mteleplayer-clientside,
Description: Python module providing X2Go client API (Python 3)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client side mass storage mounting support
    - client side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 This Python module allows you to integrate X2Go client
 support into your Python applications by providing a
 Python-based X2Go client API (for Python 3).

Package: python-x2go-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 libjs-jquery,
 libjs-underscore,
Description: Python module providing X2Go client API (documentation)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client side mass storage mounting support
    - client side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 This package contains the Python X2Go client API
 documentation generated with Epydoc.

## python-x2go 0.6.1.3

=== debian/changelog ===
python-x2go (0.6.1.3-2) unstable; urgency=medium

  * debian/patches:
    + Fix typo in 1001_fix-reproducible-builds.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 02 Jan 2020 16:20:06 +0100

python-x2go (0.6.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 02 Jan 2020 06:07:53 +0100

python-x2go (0.6.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 27 Dec 2019 12:09:46 +0100

python-x2go (0.6.1.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #938270

 -- Sandro Tosi <morph@debian.org>  Wed, 18 Dec 2019 23:32:09 -0500

python-x2go (0.6.1.1-1) unstable; urgency=medium

  * New upstream release.
    - New feature: X2Go Kdrive support.
    - In Py2 mode, fix log messages with non-ASCII characters.
      (Closes: #945284).
  * debian/copyright:
    + Add auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/control:
    + Add Rules-Requires-Root: field and set it to no.
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add R (python{,3}-x2go): x2gokdriveclient (not yet in Debian, soon to
      come).
  * debian/patches:
    + Add 1001_fix-reproducible-builds.patch. No builddir mentioning in
      Sphinx-generated docs.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 23 Nov 2019 13:16:03 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,6 @@
  cdbs,
  debhelper (>= 10),
  dh-python,
- python (>= 2.6.6-14~),
- python-setuptools,
- python-gevent,
- python-paramiko,
- python-xlib,
  python3,
  python3-setuptools,
  python3-gevent,
@@ -20,45 +15,11 @@
  python3-xlib,
  python3-sphinx,
  locales
-Build-Conflicts:
- python-sphinx,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://wiki.x2go.org
 Vcs-Git: https://salsa.debian.org/debian-remote-team/python-x2go.git
 Vcs-Browser: https://salsa.debian.org/debian-remote-team/python-x2go
-
-Package: python-x2go
-Architecture: all
-Depends:
- ${python:Depends},
- ${misc:Depends},
- python-gevent (>= 0.13.6),
- python-paramiko (>= 1.15.1),
- python-requests,
- python-simplejson,
- python-xlib,
- python-future,
- nxproxy | qvd-nxproxy,
-Recommends:
- cups-bsd | lpr,
- pulseaudio,
- sshfs,
-Suggests:
- telekinesis-client,
- mteleplayer-clientside,
-Description: Python module providing X2Go client API (Python 2)
- X2Go is a server based computing environment with
-    - session resuming
-    - low bandwidth support
-    - session brokerage support
-    - client side mass storage mounting support
-    - client side printing support
-    - audio support
-    - authentication by smartcard and USB stick
- .
- This Python module allows you to integrate X2Go client
- support into your Python applications by providing a
- Python-based X2Go client API (for Python 2).
 
 Package: python3-x2go
 Architecture: all
@@ -76,6 +37,7 @@
  cups-bsd | lpr,
  pulseaudio,
  sshfs,
+ x2gokdriveclient,
 Suggests:
  telekinesis-client,
  mteleplayer-clientside,

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file - for python-x2go
# Copyright 2010-2016 by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

configure/python-x2go-doc::
	if [ ! -f docs/build/html/index.html ]; then \
	    make -f Makefile.docupload docbuild; \
	fi

cleanbuilddir/python-x2go-doc::
	rm -Rf docs/build/

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://code.x2go.org/releases/source/python-x2go/python-x2go-(.+)\.tar\.gz

## python-x2go 0.6.1.4

=== debian/changelog ===
python-x2go (0.6.1.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop CDBS from build (Closes: #1099812)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 31 Aug 2025 12:17:58 +0200

python-x2go (0.6.1.4-1) unstable; urgency=medium

  [ Matteo F. Vescovi ]
  * New upstream release
  * debian/patches/: patchset dropped (applied upstream)

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-x2go-doc: Add Multi-Arch: foreign.
    Changes-By: apply-multiarch-hints

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 13 Feb 2024 17:33:14 +0100

python-x2go (0.6.1.3-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove extraneous dependency on python3-future (Closes: #1058952)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 24 Jan 2024 21:28:31 +0100

python-x2go (0.6.1.3-3) unstable; urgency=medium

  * debian/changelog:
    + Post-upload add bug closure for #947953.
  * debian/patches:
    + Add 0002_x2go-session.py-Fix-SyntaxWarning-is-not-used-on-a-l.patch.
      Silence warning message during DEB pkg installation:
      /usr/lib/python3/dist-packages/x2go/session.py:2020: SyntaxWarning:
      "is not" with a literal. Did you mean "!="?.
    + Add 0003_x2go-utils.py-If-setdpi-is-false-we-need-to-enforce-.patch.
      x2go/utils.py: If setdpi is false, we need to enforce the default DPI
      (instead of dropping it from _params). Otherwise, no DPI can be set at
      all.
    + Add 0004_Rewrite-string-variables-to-if-they-are-set-to-None-.patch.
      Rewrite string variables to '' if they are set to None during instance
      construction.
    + Add 0005_x2go-client.py-Catch-some-more-x2go_exceptions.X2GoS.patch.
      x2go/client.py: Catch some (more) x2go_exceptions.
      X2GoSessionRegistryException occurrences.
    + Add 0006_Prevent-infinite-loop-in-X2GoRevFwTunnel-handler.patch. Prevent
      infinite loop in X2GoRevFwTunnel handler.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/watch:
    + Bump to format version 4.
  * debian/copyright:
    + Update copyright attribution for debian/ folder.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 08 Aug 2023 14:24:32 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends:
- cdbs,
- debhelper (>= 10),
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  python3,
  python3-setuptools,
  python3-gevent,
@@ -15,8 +14,7 @@
  python3-xlib,
  python3-sphinx,
  locales
-Standards-Version: 4.4.1
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://wiki.x2go.org
 Vcs-Git: https://salsa.debian.org/debian-remote-team/python-x2go.git
 Vcs-Browser: https://salsa.debian.org/debian-remote-team/python-x2go
@@ -31,7 +29,6 @@
  python3-requests,
  python3-simplejson,
  python3-xlib,
- python3-future,
  nxproxy | qvd-nxproxy,
 Recommends:
  cups-bsd | lpr,
@@ -62,6 +59,7 @@
  ${misc:Depends},
  libjs-jquery,
  libjs-underscore,
+Multi-Arch: foreign
 Description: Python module providing X2Go client API (documentation)
  X2Go is a server based computing environment with
     - session resuming

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file - for python-x2go
# Copyright 2010-2016 by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	make -f Makefile.docupload docbuild

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://code.x2go.org/releases/source/python-x2go/python-x2go-(.+)\.tar\.gz
